/*
 * @(#)AuthenticationException.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.helper;

/**
 * アカウント認証インターフェースの実装クラスで発生する例外クラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/11/22 14:11:13 $
 */
public class AuthenticationException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8993012181938987073L;

	/**
	 * コンストラクタ。
	 */
	public AuthenticationException() {
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public AuthenticationException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public AuthenticationException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public AuthenticationException(String message, Throwable cause) {
		super(message, cause);
	}

}
